package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class ApuracaoDeImpostoPage extends PageBase {
    // Fitro
    By mensagemApuraImp = By.xpath("//*[.='OK']");
    By filtroApuracao = By.xpath("//div[@class=\"new-select input-text form-input-margin-bottom mousetrap form-control zh-text-align-{{field.align || 'left'}} ng-pristine ng-untouched ng-valid\"]");
    By filtroApuracaoEst = By.xpath("//*[@data-value='1']");
    By filtroEmpresa = By.xpath("//span[@class=\"zh-icon zh-icon-search zh-icon-no-border\"]");
    By filtroEmpresaHela = By.xpath("//div[@data-ng-repeat=\"rowIndex in filtered = controller.getVisibleRowCount()\"]");
    By filtroImposto = By.xpath("//*[@id=\"DSIMPOSTONFE\"]//*[@class=\"zh-icon zh-icon-search zh-icon-no-border\"]");
    By filtroImpostoIcms = By.xpath("//div[@class=\"td zh-standard-column  grid-align-left\"]");
    By filtroInscricaoEst = By.xpath("//*[@id=\"CDINSCESTA\"]//*[@class=\"zh-icon zh-icon-search zh-icon-no-border\"]");
    By filtroInscricaoEstAux = By.xpath("//div[@class=\"tr cell1\"]");

    By filtroAplicarFiltro = By.xpath("//span[text() = 'Aplicar filtro'][1]");

    By adicionarMapa = By.xpath("//a[@data-zh-title-tooltip = 'Adicionar (F2)']");

    By nomeMapaIcms = By.id("NMMAPAAPUR");

    By salvarMapaapurac = By.xpath("//div[@id='footer']//span[text() = 'Salvar']");

    By selecionarmapaapurac = By.xpath("//span[text() = 'Apuração de ICMS']");

    By loadingWait = By.xpath("//*[@class='zh-background-loading ng-scope']//span[@class='zh-loading-icon']");

    public void clicarOkMsgApuraImp(){
        click(mensagemApuraImp);
    }

    public void clicarEmTipodeapuracao(){
        click(filtroApuracao); click(filtroApuracaoEst);
    }

    public void clicarEmEmpresa(){
        click(filtroEmpresa); click(filtroEmpresaHela);
    }

    public void clicarEmImposto(){
    click(filtroImposto); click(filtroImpostoIcms);
    }

    public void clicarEmInscricaoEstadual(){
        click(filtroInscricaoEst); click(filtroInscricaoEstAux);
    }

    public void clicarAplicarFiltro(){
        click(filtroAplicarFiltro);
    }

    public void clicarAdicionarMapa() {
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(adicionarMapa);
    }

    public void preencherNomedomapa(String nomedomapa){
        click(nomeMapaIcms); sendKeys(nomeMapaIcms, nomedomapa);
    }


    public void clicarsalvarMapa(){
        click(salvarMapaapurac);
    }

    public void clicarEmMapaApuracao(){
        click(selecionarmapaapurac);
    }
}