package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.ContaContabilEditarFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.flows.ContaContabilEditarFlows;
import com.javaseleniumtemplate.pages.ContaContabilEditarPage;
import com.javaseleniumtemplate.pages.LoginPage;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.ContaContabilEditarPage;
import org.testng.Assert;
import org.testng.annotations.Test;
public class ContaContabilEditar extends TestBase {
    // Objetos

    MainPage mainPage;
    LoginPage loginPage;
    MainFlows MainFlows;
    com.javaseleniumtemplate.flows.ContaContabilEditarFlows ContaContabilEditarFlows;
    com.javaseleniumtemplate.pages.ContaContabilEditarPage ContaContabilEditarPage;

    @Test
    public void efetuarLoginComSucesso() throws InterruptedException {

        //Objetos Instanciados

        mainPage = new MainPage();
        loginPage = new LoginPage();
        MainFlows = new MainFlows();
        ContaContabilEditarFlows = new ContaContabilEditarFlows();
        ContaContabilEditarPage = new ContaContabilEditarPage();

        // Dados - Login

        String Usuario = "operador24@AUTOMACAO_2184.com";
        String Senha = "apresentacao";

        // Dados alteração contas
        String NomeContaContabilIncial = "ATIVO";
        String   NomeContaContabilFinal = "ATIVO";
        String NomeContaContabilIncialAnaliseVertical = "ATIVO";
        String   NomeContaContabilFinalAnaliseVertical = "ATIVO";
        String   NomeAlterar = "Alterado";
        String   NomeContaReferencial = "ATIVO";

        loginPage.preenhcerUsuario(Usuario);
        loginPage.preencherSenha(Senha);
        loginPage.clicarEmLogin();

        // Aguardar Botão de Confirmação(Alerta: Sim)
        ContaContabilEditarPage.AlertaUsuario();

        // Navegar até Conta Contábil
        MainFlows.navegarContaContabil();

        // Clicar Cadastramento Automatico
         ContaContabilEditarPage.ClicarCadastramentoAutomatico();

        // Selecionar Tipo Cadastramento - Identificador Padrão de Relatório
        ContaContabilEditarPage.SelecionarIdentificadorPadrao();

        // Selecionar Conta Inicial
        ContaContabilEditarPage.SelecionarContaInicial(NomeContaContabilIncial);

        // Selecionar Conta Final
        ContaContabilEditarPage.SelecionarContaFinal(NomeContaContabilFinal);

        // Selecionar Conta Final
        ContaContabilEditarPage.SelecionarIdentificadorPadraoParteBaixo();

        // Salvar
        ContaContabilEditarPage.Salvar();

        // Clicar Cadastramento Automatico
        ContaContabilEditarPage.ClicarCadastramentoAutomatico();

        // Selecionar Tipo Cadastramento - Conta Contábil Base (Análise Vertical)
        ContaContabilEditarPage.SelecionarAnaliseVertical();

        // Selecionar Conta Inicial (Análise Vertical)
        ContaContabilEditarPage.SelecionarContaInicialAnaliseVertical(NomeContaContabilIncialAnaliseVertical);

        // Selecionar Conta Final (Análise Vertical)
        ContaContabilEditarPage.SelecionarAnaliseVerticalContaFinal(NomeContaContabilFinalAnaliseVertical);

        // Selecionar Conta Contábil Base
        ContaContabilEditarPage.ContaContabilBase(NomeContaContabilFinalAnaliseVertical);

        // Salvar
        ContaContabilEditarPage.Salvar();


        // Clicar Cadastramento Automatico
        ContaContabilEditarPage.ClicarCadastramentoAutomatico();

        // Selecionar Tipo Cadastramento - Alterar Conta Referencial
        ContaContabilEditarPage.SelecionarAlterarContaReferencial(NomeContaContabilIncial);

        // Salvar
        ContaContabilEditarPage.Salvar();

        // Alterar Conta
        ContaContabilEditarPage.NavegarContaAlterar();
        ContaContabilEditarPage.Alterando(NomeAlterar, NomeContaReferencial);


    }}