package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.ParametrosDeControleBancarioFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.flows.ParametrosDeControleBancarioFlows;
import com.javaseleniumtemplate.pages.ParametrosDeControleBancarioPage;
import com.javaseleniumtemplate.pages.LoginPage;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.ParametrosDeControleBancarioPage;
import org.testng.Assert;
import org.testng.annotations.Test;

public class ParametrosDeControleBancario extends TestBase {

    // Objetos

    MainPage mainPage;
    LoginPage loginPage;
    MainFlows MainFlows;
    com.javaseleniumtemplate.flows.ParametrosDeControleBancarioFlows ParametrosDeControleBancarioFlows;
    com.javaseleniumtemplate.pages.ParametrosDeControleBancarioPage ParametrosDeControleBancarioPage;

    // Teste

    @Test
    public void efetuarLoginComSucesso() throws InterruptedException {

        //Objetos Instanciados

        mainPage = new MainPage();
        loginPage = new LoginPage();
        MainFlows = new MainFlows();
        ParametrosDeControleBancarioFlows = new ParametrosDeControleBancarioFlows();
        ParametrosDeControleBancarioPage = new ParametrosDeControleBancarioPage();

        // Dados - Login

        String Usuario = "operador24@AUTOMACAO_2184.com";
        String Senha = "apresentacao";

        String Procurar = "Parâmetros de Controle Bancário";

        String QuantidadeAnterior = "2";
        String QuantidadePosterior = "1";



        loginPage.preenhcerUsuario(Usuario);
        loginPage.preencherSenha(Senha);
        loginPage.clicarEmLogin();


        // Aguardar Botão de Confirmação(Alerta: Sim)
       ParametrosDeControleBancarioPage.AlertaUsuario();

        // Acessar tela Parametros de controle bancario
        ParametrosDeControleBancarioPage.ParametrosDeControleBancario(Procurar);

        // Tela Parametros de controle bancario
        ParametrosDeControleBancarioPage.TelaParametrosDeControleBancario(QuantidadeAnterior, QuantidadePosterior);





    }
}

