package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;

import java.util.concurrent.TimeUnit;

public class BancoPage extends PageBase {

    //Navegar até a tela banco

    By Financeiro = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section[2]/section/header/div/div/ul/li[1]/label/a");
    By MENU = By.xpath("//div[@class='bars']");
    By PARAMETRIZACAO = By.xpath("//span[contains(text(),'Parametrização')]");
    By FINANCEIRO = By.xpath("//li[@class='menu-item closed sub-menu-item has-child visible']//span[@class='menu-title ng-binding has-submenu'][normalize-space()='Financeiro']");
    By BANCO = By.xpath("//span[contains(text(),'Banco')]");

    By AplicarFiltro = By.cssSelector("#footer > div.zh-footer-right > ul > li > a > span");
    By BotaoAdicionar = By.cssSelector("#footer > div.zh-footer-center > ul > li > a > div");

    // ABA BANCO

    By Codigo = By.cssSelector("#CDBANCO");
    By Nome = By.cssSelector("#NMBANCO");
    By UtilizaDigitoVerificadorAgencia = By.cssSelector("body > span > section > section > div.default-window > section.zh-swipe-container.zh-swipe-right.open > div > div:nth-child(4) > section > section > div > section > div > form > section > div > div:nth-child(2) > div:nth-child(1) > div > div.new-select.input-text.form-input-margin-bottom.mousetrap.form-control.zh-text-align-\\{\\{field\\.align.\\|\\|.\\'left\\'\\}\\}.ng-pristine.ng-untouched.ng-valid");
    By OpcaoSim = By.cssSelector("body > span > section > section > div.default-window > section.zh-swipe-container.zh-swipe-right.open > div > div:nth-child(4) > section > section > div > section > div > form > section > div > div:nth-child(2) > div:nth-child(1) > div > div.new-select.input-text.form-input-margin-bottom.mousetrap.form-control.zh-text-align-\\{\\{field\\.align.\\|\\|.\\'left\\'\\}\\}.ng-pristine.ng-untouched.ng-valid.open > ul > li:nth-child(1)");

    By MascaraAgencia  = By.cssSelector("#CDPICTAGEN");
    By Mascara = By.cssSelector("#CDPICTCONT");
    By CodigoDoBancoNaCameraDeCompensacao =  By.cssSelector("#CDBANCCNAB");
    By BancoConveniado =  By.cssSelector("#CDBANCOCONV");
    By ModeloDeBoletoCompleto = By.cssSelector("body > span > section > section > div.default-window > section.zh-swipe-container.zh-swipe-right.open > div > div:nth-child(4) > section > section > div > section > div > form > section > div > div:nth-child(4) > div.col-xs-6.zh-field.last-of-row > div > div.new-select.input-text.form-input-margin-bottom.mousetrap.form-control.zh-text-align-\\{\\{field\\.align.\\|\\|.\\'left\\'\\}\\}.ng-pristine.ng-untouched.ng-valid");

    By ModeloBancoDoBrasil = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section/div/div[4]/div[2]/div/div[2]/ul/li[2]");

    By DiasParaProrrogacao = By.cssSelector("#QTDIAPRORCNT");

    //ABA CNAB

    By AbaCnab = By.xpath("//*[text() = 'CNAB']");

    By AtualizarCodigo  = By.xpath("//*[@id=\"grid-18500196511813904182440\"]/div[1]/div/div/div[1]/span/span");
    By EmpresaHela01 = By.xpath("//*[text() = 'HELA INGREDIENTES BRASIL']");
    By Editar= By.cssSelector("#footer > div.zh-footer-center > ul > li:nth-child(1) > a > div");

    //DADOS POR EMPRESA
    //Carteira

    By Numero  = By.cssSelector("#CDCARTCOBR");
    By Tipo = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section[1]/div/div/div[2]/div/div[2]");
    By OpcaoSimples = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section[1]/div/div/div[2]/div/div[2]/ul/li[2]");

    By ImprimeBoleto  = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section[2]/div/div[1]/div[1]/div/div[2]");
    By OpcaoEmpresa = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section[2]/div/div[1]/div[1]/div/div[2]/ul/li[2]");

    By PrimeiraInstrucao = By.cssSelector("#CDINS1COBR");
    By SegundaInstrucao = By.cssSelector("#CDINS2COBR");

    By DiasParaProtesto1 = By.cssSelector("#QTDIAPROTEST");
    By DiasParaProtesto2 = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section[2]/div/div[3]/div[1]/div/div[2]");
    By OpcaoDiasParaProtesto2 = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section[2]/div/div[3]/div[1]/div/div[2]/ul/li[2]");

    By Salvar = By.xpath("//*[text() = 'Salvar']");

    By IdentPagar = By.cssSelector("#CDEMPBANCPAG");
    By IdentReceber = By.cssSelector("#CDEMPBANCREC");
    By FormaDeCadastramento = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section[2]/div/div[4]/div[2]/div/div[2]");

    By FormaDeCadastramentoComRegistro = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section[2]/div/div[4]/div[2]/div/div[2]/ul/li[1]");

    //ImportacaoDDA

    By TipoDeBaixaPagar = By.cssSelector("#NMTPBAIXAPAG");
    By TipoDeBaixaDinheiro = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section[3]/div/div[1]/div/div/div[3]/span[1]");
    By ContaCorrentePagamento = By.cssSelector("#CDREDUCONT");
    By ContaCorrentePagamentoEscolhida = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section[3]/div/div[2]/div[1]/div/div[3]/span[1]");

    By OcorrenciaNoRetornoPagar =  By.xpath("//*[text() = 'Ocorrência no Retorno (Pagar)']");
    By OcorrenciaNoRetornoReceber =  By.xpath("//*[text() = 'Ocorrência no Retorno (Receber)']");

    By Ok = By.xpath("//*[text() = 'OK']");
    By BotaoVoltar =  By.xpath("//*[text() = 'Voltar']");

    //Aba Instruções de Cobrança

    By InstrucoesCobranca =  By.xpath("//*[text() = 'Instruções de Cobrança']");
    By CodigoCobrancaCampo = By.cssSelector("#CDINSTCOBR");
    By NomeInstrucaCobranca  = By.cssSelector("#NMINSTCOBR");
    By CodigoBancoInstrucaCobranca  = By.cssSelector("#CDBANCO");

    By AbaDDA =  By.xpath("//*[text() = 'DDA']");
    By DiretorioImportacao =  By.cssSelector("#DSDIRIMPARQDDA");
    By EmailDestinatario =  By.cssSelector("#DSEMAILDDA");
    By Cadastrado = By.xpath("//*[text() = 'BANCOTESTE']");

    public void navegarParaBanco() {
        waitForElement(Financeiro);
        waitForElement(MENU);
        click(MENU);
        click(PARAMETRIZACAO);
        click(FINANCEIRO);
        click(BANCO);
        click(AplicarFiltro);
    }

    public void AdicionarConta(String ValorCodigo, String NomeBanco, String NumeroNomeBanco, String NumeroMascara, String NumeroCodigoDoBancoNaCameraDeCompensacao, String NumeroBancoConveniado, String NumeroDiasParaProrrogacao) {

        waitForElement(BotaoAdicionar);
        click(BotaoAdicionar);

        click(Codigo);
        clear(Codigo);
        sendKeys(Codigo, ValorCodigo);

        click(Nome);
        clear(Nome);
        sendKeys(Nome, NomeBanco);

        click(UtilizaDigitoVerificadorAgencia);
        click(OpcaoSim);

        click(MascaraAgencia);
        clear(MascaraAgencia);
        sendKeys(MascaraAgencia, NumeroNomeBanco);

        click(Mascara);
        clear(Mascara);
        sendKeys(Mascara, NumeroMascara);

        click(CodigoDoBancoNaCameraDeCompensacao);
        clear(CodigoDoBancoNaCameraDeCompensacao);
        sendKeys(CodigoDoBancoNaCameraDeCompensacao, NumeroCodigoDoBancoNaCameraDeCompensacao);

        click(BancoConveniado);
        clear(BancoConveniado);
        sendKeys(BancoConveniado, NumeroBancoConveniado);

        click(ModeloDeBoletoCompleto);
        click(ModeloBancoDoBrasil);

        click(DiasParaProrrogacao);
        clear(DiasParaProrrogacao);
        sendKeys(DiasParaProrrogacao, NumeroDiasParaProrrogacao);

        click(Salvar);
        click(Ok);

    }

    public void AbaCnab(String ValorNumero, String NumeroDiasParaProtesto1, String NumeroIdentPagar, String NumeroIdentReceber) {
        waitForElement(BotaoAdicionar);
        waitForElement(Cadastrado);
        click(Cadastrado);

        click(AbaCnab);
        click(AtualizarCodigo);
        click(EmpresaHela01);
        click(Editar);

        click(Numero);
        clear(Numero);
        sendKeys(Numero, ValorNumero);

        click(Tipo);
        click(OpcaoSimples);

        click(ImprimeBoleto);
        click(OpcaoEmpresa);

        click(PrimeiraInstrucao);
        waitForElement(SegundaInstrucao);
        click(SegundaInstrucao);
        waitForElement(DiasParaProtesto1);

        click(DiasParaProtesto1);
        clear(DiasParaProtesto1);
        sendKeys(DiasParaProtesto1, NumeroDiasParaProtesto1);

        click(DiasParaProtesto2);
        click(OpcaoDiasParaProtesto2);

        click(IdentPagar);
        clear(IdentPagar);
        sendKeys(IdentPagar, NumeroIdentPagar);

        click(IdentReceber);
        clear(IdentReceber);
        sendKeys(IdentReceber, NumeroIdentReceber);

        click(FormaDeCadastramento);
        click(FormaDeCadastramentoComRegistro);

        //ImportacaoDDA

        click(TipoDeBaixaPagar);
        click(TipoDeBaixaDinheiro);
        click(ContaCorrentePagamento);
        click(ContaCorrentePagamentoEscolhida);

        click(Salvar);

    }

    public void OcorrenciaNoRetornoPagar() {
        waitForElement(OcorrenciaNoRetornoPagar);
        click(OcorrenciaNoRetornoPagar);
    }

    public void OcorrenciaNoRetornoReceber() {
        waitForElement(OcorrenciaNoRetornoReceber);
        click(OcorrenciaNoRetornoReceber);
        click(BotaoVoltar);
    }

    public void InstrucoesCobranca(String CodigoCobranca, String NomeCobranca, String NumeroBancoInstrucaCobranca) {
        waitForElement(BotaoAdicionar);
        waitForElement(Cadastrado);
        click(Cadastrado);

        waitForElement(InstrucoesCobranca);
        click(InstrucoesCobranca);
        click(BotaoAdicionar);

        click(CodigoCobrancaCampo);
        clear(CodigoCobrancaCampo);
        sendKeys(CodigoCobrancaCampo, CodigoCobranca);

        click(NomeInstrucaCobranca);
        clear(NomeInstrucaCobranca);
        sendKeys(NomeInstrucaCobranca, NomeCobranca);

        click(CodigoBancoInstrucaCobranca);
        clear(CodigoBancoInstrucaCobranca);
        sendKeys(CodigoBancoInstrucaCobranca, NumeroBancoInstrucaCobranca);

        click(Salvar);
        click(Ok);

    }

    public void AbaDDA(String DescricaoDiretorioImportacao, String DescricaoEmailDestinatario) {
        click(AbaDDA);
        click(Editar);

        click(DiretorioImportacao);
        clear(DiretorioImportacao);
        sendKeys(DiretorioImportacao, DescricaoDiretorioImportacao);

        click(EmailDestinatario);
        clear(EmailDestinatario);
        sendKeys(EmailDestinatario, DescricaoEmailDestinatario);

        click(Salvar);
        click(BotaoVoltar);
    }

        public void AlertaUsuario() throws InterruptedException {
        this.driver.manage().timeouts().implicitlyWait(1, TimeUnit.MINUTES);
        driver.findElement(By.cssSelector("body > span > section > section > div.default-window > aside:nth-child(5) > aside > section > footer > button:nth-child(1)")).click();
    }

}
